Loading...
Searching...
No Matches
BALL::VIEW::EditOperation Class Reference

`#include <BALL/VIEW/KERNEL/editOperation.h>`

## Public Types

enum | OperationType { DEFAULT , ADDED__ATOM , ADDED__BOND , CHANGED__TYPE }

## Public Member Functions

| EditOperation ()
| Constructor.
| EditOperation (Atom *atom, Bond *bond, String description="Added Object", int operation=0)
virtual | ~EditOperation ()
| Destructor.

## Public Attributes

int | operationType
Atom * | atom
Bond * | bond
String | description

## Detailed Description

This class represents a single edit operation and stores its type and parameters. This can be used to implement undo functionality.

Definition at line 22 of file editOperation.h.

## Member Enumeration Documentation

## OperationType

enum BALL::VIEW::EditOperation::OperationType

Enumerator
DEFAULT |
ADDED__ATOM |
ADDED__BOND |
CHANGED__TYPE |

Definition at line 36 of file editOperation.h.

## Constructor & Destructor Documentation

## EditOperation() [1/2]

BALL::VIEW::EditOperation::EditOperation | ( |  | ) |

Constructor.

## EditOperation() [2/2]

BALL::VIEW::EditOperation::EditOperation | ( | Atom * | atom,
|  | Bond * | bond,
|  | String | description = "Added Object",
|  | int | operation = 0 )

## ~EditOperation()

virtual BALL::VIEW::EditOperation::~EditOperation | ( |  | ) |

virtual

Destructor.

## Member Data Documentation

## atom

Atom* BALL::VIEW::EditOperation::atom

Definition at line 49 of file editOperation.h.

## bond

Bond* BALL::VIEW::EditOperation::bond

Definition at line 50 of file editOperation.h.

## description

String BALL::VIEW::EditOperation::description

Definition at line 51 of file editOperation.h.

## operationType

int BALL::VIEW::EditOperation::operationType

Definition at line 48 of file editOperation.h.